import org.hyperic.hq.authz.server.session.AuthzSubject
import org.hyperic.hq.authz.server.session.Resource
import org.hyperic.hq.hqu.AttachmentDescriptor
import org.hyperic.hq.hqu.server.session.Attachment
import org.hyperic.hq.authz.server.session.ResourceManagerEJBImpl
import org.hyperic.hq.hqu.rendit.HQUPlugin

import VsphereController

class Plugin extends HQUPlugin {
    void initialize(File pluginDir) {
        super.initialize(pluginDir)

        addView(description:  'HQ vSphere',
                    attachType:   'masthead', 
                    controller:   VsphereController,
                    action:       'index', 
                    category:     'resource')
    }

    AttachmentDescriptor getAttachmentDescriptor(Attachment a, Resource r, AuthzSubject u)  {
        def hasResources = ResourceManagerEJBImpl.getOne().resourcesExistOfType("VMware vCenter")
        
        if (hasResources) {
            return super.getAttachmentDescriptor(a, r, u);
        }
        
        return null
    }
}

