/**
 * Interface for pluggable extrapolations methods
 */
public interface XtrapMethod {

    /**
     * The name of this Extrapolation method
     */
    def getName()

    /**
     * Return a List of XtrapData points for the given data list and range.
     * It can be assumed that the list that is passed into the extrapolate
     * method is sorted such that data[-1] is the most recent data point.
     */
    def extrapolate(List data, long range)

    /**
     * Return a Map of Measurement id to XtrapConfidence objects.
     */
    def getConfidence(List measurements, long range)
}
